﻿Imports ACSMCOMPONENTS18Lib

' Custom event handler class
Public Class MySSmEventHandler
    Implements IAcSmEvents

    Private Sub IAcSmEvents_OnChanged(ByVal ev As AcSmEvent, _
                                      ByVal comp As IAcSmPersist) _
                                      Implements IAcSmEvents.OnChanged

        Dim activeDocument As Autodesk.AutoCAD.ApplicationServices.Document
        activeDocument = Autodesk.AutoCAD.ApplicationServices.Application. _
                         DocumentManager.MdiActiveDocument()

        Dim oSheet As AcSmSheet
        Dim oSubset As AcSmSubset

        If ev = AcSmEvent.ACSM_DATABASE_OPENED Then
            activeDocument.Editor.WriteMessage(vbLf & comp.GetDatabase(). _
                                               GetFileName() & " was opened.")
        End If
        If ev = AcSmEvent.ACSM_DATABASE_CHANGED Then
            activeDocument.Editor.WriteMessage(vbLf & comp.GetDatabase(). _
                                               GetFileName() & " database changed.")
        End If
        If ev = AcSmEvent.SHEET_DELETED Then
            oSheet = comp
            activeDocument.Editor.WriteMessage(vbLf & oSheet.GetName() & _
                                               " was deleted.")
        End If
        If ev = AcSmEvent.SHEET_SUBSET_CREATED Then
            oSubset = comp
            activeDocument.Editor.WriteMessage(vbLf & oSubset.GetName() & _
                                               " was created.")
        End If
        If ev = AcSmEvent.SHEET_SUBSET_DELETED Then
            oSubset = comp
            activeDocument.Editor.WriteMessage(vbLf & oSubset.GetName() & _
                                               " was deleted.")
        End If
    End Sub
End Class
